=begin
#barcodeapi

#Barcode APIs let you generate barcode images, and recognize values from images of barcodes.

OpenAPI spec version: v1

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.14

=end

require 'uri'

module CloudmersiveBarcodeApiClient
  class BarcodeLookupApi
    attr_accessor :api_client

    def initialize(api_client = ApiClient.default)
      @api_client = api_client
    end
    # Lookup EAN barcode value, return product data
    # Lookup an input EAN barcode and return key details about the product
    # @param value Barcode value
    # @param [Hash] opts the optional parameters
    # @return [BarcodeLookupResponse]
    def barcode_lookup_ean_lookup(value, opts = {})
      data, _status_code, _headers = barcode_lookup_ean_lookup_with_http_info(value, opts)
      data
    end

    # Lookup EAN barcode value, return product data
    # Lookup an input EAN barcode and return key details about the product
    # @param value Barcode value
    # @param [Hash] opts the optional parameters
    # @return [Array<(BarcodeLookupResponse, Fixnum, Hash)>] BarcodeLookupResponse data, response status code and response headers
    def barcode_lookup_ean_lookup_with_http_info(value, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: BarcodeLookupApi.barcode_lookup_ean_lookup ...'
      end
      # verify the required parameter 'value' is set
      if @api_client.config.client_side_validation && value.nil?
        fail ArgumentError, "Missing the required parameter 'value' when calling BarcodeLookupApi.barcode_lookup_ean_lookup"
      end
      # resource path
      local_var_path = '/barcode/lookup/ean'

      # query parameters
      query_params = {}

      # header parameters
      header_params = {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json', 'text/json', 'application/xml', 'text/xml'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'text/json', 'application/xml', 'text/xml', 'application/x-www-form-urlencoded'])

      # form parameters
      form_params = {}

      # http body (model)
      post_body = @api_client.object_to_http_body(value)
      auth_names = ['Apikey']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => 'BarcodeLookupResponse')
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: BarcodeLookupApi#barcode_lookup_ean_lookup\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
  end
end
